> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectorify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of chats

> Retrieve a list of chats and their messages.



## OpenAPI

````yaml https://vectorify.ai/api.json get /chats
openapi: 3.1.0
info:
  title: Vectorify
  version: 1.0.0
servers:
  - url: https://api.vectorify.ai/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Query
  - name: Chats
  - name: Upserts
  - name: Items
  - name: Collections
paths:
  /chats:
    get:
      tags:
        - Chats
      summary: Retrieve a list of chats
      description: Retrieve a list of chats and their messages.
      operationId: chats.index
      responses:
        '200':
          description: Paginated set of `Chat`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Chat'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                      total:
                        type: integer
                        description: Total number of items being paginated.
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                required:
                  - data
                  - links
                  - meta
components:
  schemas:
    Chat:
      type: object
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        tenant:
          type:
            - integer
            - 'null'
        user:
          $ref: '#/components/schemas/User'
        created_at:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/ChatMessage'
      required:
        - id
        - name
        - tenant
        - created_at
      title: Chat
    User:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        email:
          type: string
        avatar:
          type: string
        created_at:
          type: string
      required:
        - id
        - name
        - email
        - avatar
        - created_at
      title: User
    ChatMessage:
      type: object
      properties:
        id:
          type: string
        chat_id:
          type: string
        role:
          type: string
        user:
          $ref: '#/components/schemas/User'
        text:
          type: string
        text_html:
          type: string
        identifier:
          type:
            - string
            - 'null'
        feedback:
          type:
            - string
            - 'null'
        created_at:
          type: string
      required:
        - id
        - chat_id
        - role
        - text
        - text_html
        - identifier
        - feedback
        - created_at
      title: ChatMessage
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Api-Key

````